Visa Data Only (VDO)

This guide is for partners and developers who want to use Visa Data Only (VDO) with Payarc on direct charges.

📰

Overview

VDO is Visa's name for the frictionless, no-challenge flavor of 3-D Secure (3DS). You will have to integrate with a 3DS provider to generate the VDO elements that will be passed to Payarc. Payarc does not advise partners on 3DS (Required) versus VDO (Data only). It is a business decision based on your risk tolerance. VDO does not shift chargeback liability, but it can improve approval rates and supports Visa's Compelling Evidence program for unauthorized-transaction disputes under VAMP.

⚠️

VDO testing is not currently supported in sandbox.

Prerequisites

Before you begin, make sure you have:

  • A Traditional merchant account. Payarc's 3DS support is currently for Traditional Merchants only.
  • A valid Bearer token — see API Authentication

Step 1: Choose how you will use VDO

VDO is reached through the direct-charge path covered in this guide: you perform the 3DS data exchange with your provider, then include its result when creating a charge.

Step 2: Direct charge API

You perform 3DS yourself through your chosen 3DS provider, then include the result when creating a charge through the charges endpoint.

What you get back: A charge object that includes the 3DS response fields.

  • card_number (direct PAN)
  • token_id
  • customer_id
  • card_id

Step 3: Send VDO data on direct charges

The 3DS exchange happens before the charge request. Your 3DS provider returns the values that you then pass to POST /v1/charges.

  • Obtain the 3DS fields from your provider. Required fields for VDO are eci_indicator and secure_code. secure_code must use uppercase letters; lowercase values result in a re-enter error.

  • Create the charge with those fields. See the Create a Charge API Reference for accepted values.

  • What you get back: A charge object that includes the 3DS response fields:

FieldWhat it tells you
cavv_response_codeA value of B means the VDO authentication data passed validation.

Did this page help you?